<?xml version="1.0" encoding="windows-1251"?>
<registry>
	<node path="%root%\Объекты\Контроллеры\РеестрПоправок\ПоправкиКЗакону">
		<value type="7" name="ПередачаПараметровДокачкиДанных">включить "\библиотеки\libru.lib";
включить "\библиотеки\ABLVariables.lib";
включить "\Макросы\Слои\ПоддержкаКонтроллеров.abl";

ПередачаПараметровДокачкиДанных(Параметры: IVariables);
переменные
  //Параметры контроллера
  ВариантПрисвоения: Целое;
  ПараметрыИсточника: IVariables;
  ПараметрыПриемника: IVariables;
начало
  ПроверитьНаличиеПараметровДляКонтроллераВУзле(РабочийУзел, Параметры, 'ВариантПрисвоения,ПараметрыИсточника,ПараметрыПриемника');
  //Извлечение значений параметров контроллера из коллекции
  ВариантПрисвоения := Параметры.Значение('ВариантПрисвоения');
  ПараметрыИсточника := Параметры.Значение('ПараметрыИсточника');
  ПараметрыПриемника := Параметры.Значение('ПараметрыПриемника');

  если ВариантПрисвоения &lt;&gt; 4 тогда // apvSelfAcceptData
    выход;

  ПараметрыПриемника.PumpData(ПараметрыИсточника);
  
конец.
</value>
		<param value="ПередачаПараметровДокачкиДанных" type="1" name="AccessCount">3</param>
		<param value="ПередачаПараметровДокачкиДанных" type="2" name="AccessDate">41793,6602183449</param>
	</node>
</registry>
